%define rel 0.2

Name:		novacom-server
Version:	1.1.0
Release:	%mkrel %{rel}
Summary:	Service for utility that connects to WebOS devices
Group:		Development/Tools
License:	Apache License
URL:		https://github.com/openwebos/novacomd
Source0:	https://github.com/openwebos/novacomd/tarball/versions/1.1.0-rc1/openwebos-novacomd-submissions-119.1-0-ge77d336.tar.gz
Source1:	novacomd.service
Source2:	config-novacomd
# This patch allows novacomd to work against Fedora's libusb
Patch0:		0001-Use-usb_bulk_-read-write-instead-of-homemade-handler.patch
# This patch forces the makefile to use our CFLAGS
Patch1:		novacomd_add_cflags.patch
# This patch muffles the logging of every packet to the device
Patch2:		novacomd-quiet-logging.patch
# This patch removes unused adler32 library from the makefile
Patch3:		novacomd-makefile-remove-adler32.patch
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}
Provides:	novacomd = %{version}-%{release}
BuildRequires:	libusb-devel

%description
This novacomd service allows the novacom client to connect to WebOS
devices that are connected over USB.

%prep
%setup -q -n openwebos-novacomd-e77d336
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# Remove unused and unneeded zlib headers and adler32 library
rm -f src/lib/cksum/adler32.c
rm -f src/lib/cksum/zlib.h

%build
%make host LDFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -pm 755 build-novacomd-host/novacomd %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_unitdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/default
install -pm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/default/novacomd

%post
%_post_service novacomd
 
%preun
%_preun_service novacomd

%files
%doc README.md
%{_bindir}/novacomd
%{_unitdir}/novacomd.service
%config(noreplace) %{_sysconfdir}/default/novacomd



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-0.2.mga4
+ Revision: 523304
- Mageia 4 Mass Rebuild

* Sat Apr 06 2013 blino <blino> 1.1.0-0.1.mga3
+ Revision: 408609
- fix license tag
- simplify description
- no need to buildrequire systemd-units
- use buildroot macro
- use Mageia-compliant release number
- use Mageia helper scripts for systemd service
- use make macro, remove Fedora macros and BuildRoot
- use Mageia names for BuildRequires (libusb-devel)
- imported package novacom-server


* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.8.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.7.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May  7 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.6.rc1
- Preserve timestamps during install
- Remove unused zlib header and adler32 code
- Remove unnecessary filler that's not needed for Fedora

* Sun May  6 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.5.rc1
- Let's try this one again.  This time really muffle logging of every packet
  sent to device

* Wed May  2 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.4.rc1
- Muffle logging of every packet sent to device

* Thu Apr 26 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.3.rc1
- Use consistent RPM_OPT_FLAGS and RPM_BUILD_ROOT variables
- Change define macro to global
- Remove unnecessary BR: glibc-devel
- Turn on hardened build
- Fix provides for novacomd

* Thu Apr 12 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.2.rc1
- Rename to novacom-server and add provides for novacomd
- Add systemd service

* Mon Apr  2 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.1.rc1
- Add patch that allows novacomd to work against Fedora's libusb

* Sat Mar 31 2012 Jonathan Dieter <jdieter@lesbg.com> - 0.9-0.1.git.e77d33616f
- Initial release
